2019-12-13 14:07 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001150FSSCPsoundpublic2008-01-20 17:17
ReporterCP5670 
Assigned Tokarajorma 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001150: Mission events window turns on disabled music
DescriptionIf a mission uses change-soundtrack with the "No music" setting to turn off the music and you go into the mission events window during the game (by pressing F4), the music turns back on to whatever it was set to before "no music." This only seems to occur with the no music setting.

I just noticed that this totally goofs up the music in several of my missions if the player happens to go into that screen to read messages, which is likely to happen.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007153

Goober5000 (administrator)

Hmm. To be honest, I've actually found this helpful to restore music that gets silenced if I minimize the game. :p

~0007159

CP5670 (reporter)

It might be a good idea to fix that too, then. :p

~0007335

CP5670 (reporter)

bump

It would be nice if this was fixed for 3.6.9. I would like to recommend 3.6.9 as the standard build for my campaign, and I think this is the only thing that would hold me back from that.

~0007336

Goober5000 (administrator)

I thought the support ship bug was the only thing holding you back from that?

~0007339

CP5670 (reporter)

Last edited: 2006-12-28 18:50

Yeah, I suppose I shouldn't be saying that, as I had no idea about this at the time. :p I guess I have memorized so many of my messages that until recently, it never occurred to me to go into the mission events window to read them, but others may well be doing that a lot more often.

~0007344

CP5670 (reporter)

Just an FYI, I have been able to work around this in my own missions. This can be closed (or the severity changed to minor) if nobody else is having issues with it.

~0008833

karajorma (administrator)

Turned out to be a case of the soundtrack simply never actually being set to null when it was changed. So as far as the mission events window was concerned it was doing exactly the right thing.

Fixed anyway.
+Notes

-Issue History
Date Modified Username Field Change
2006-11-19 06:09 CP5670 New Issue
2006-11-23 14:07 Goober5000 Note Added: 0007153
2006-11-24 15:57 CP5670 Note Added: 0007159
2006-12-28 13:58 CP5670 Note Added: 0007335
2006-12-28 16:27 Goober5000 Note Added: 0007336
2006-12-28 18:49 CP5670 Note Added: 0007339
2006-12-28 18:50 CP5670 Note Edited: 0007339
2006-12-31 18:18 CP5670 Note Added: 0007344
2008-01-20 17:17 karajorma Status new => resolved
2008-01-20 17:17 karajorma Fixed in Version => 3.6.10
2008-01-20 17:17 karajorma Resolution open => fixed
2008-01-20 17:17 karajorma Assigned To => karajorma
2008-01-20 17:17 karajorma Note Added: 0008833
+Issue History